#include "CS_PeBubbleBase.h"
#include "CS_PeBubble.h"
CS_PeBubbleBase::CS_PeBubbleBase()
{
	type = 3;
}

void CS_PeBubbleBase::Step()
{
	if (Random(0, 200) == 2)
	{
		auto e = std::make_shared<CS_PeBubble>();
		e->last_x = e->x = x + Random(-6, 6);
		e->last_y = e->y = y + 7.5f;
		e->lr = lr;
		if (lr != 0)
			e->SetState(1, 0);
		gameFunc->SetEntity(shared_from_this(), e);
	}
}

std::shared_ptr<Entity> CreateCS_PeBubbleBase()
{
	return std::make_shared<CS_PeBubbleBase>();
}
